<xs:schema xmlns:tns="http://endpoint.tracauws.gov.at.pt/" xmlns:xs="http://www.w3.org/2001/XMLSchema" version="1.0" targetNamespace="http://endpoint.tracauws.gov.at.pt/">
<xs:element name="EnviarMensagemTransitoPedido" type="tns:enviarMensagemTransitoPedido"/>
<xs:element name="EnviarMensagemTransitoResposta" type="tns:enviarMensagemTransitoResposta"/>
<xs:element name="FicheiroResposta" type="tns:ficheiroResposta"/>
<xs:element name="ObterEstadoDeclaracaoPedido" type="tns:obterEstadoDeclaracaoPedido"/>
<xs:element name="ObterEstadoDeclaracaoResposta" type="tns:obterEstadoDeclaracaoResposta"/>
<xs:element name="ObterMensagensTransitoNaoEntreguesPedido" nillable="true" type="xs:anyType"/>
<xs:element name="ObterMensagensTransitoNaoEntreguesResposta" nillable="true" type="xs:anyType"/>
<xs:complexType name="enviarMensagemTransitoPedido">
<xs:sequence>
<xs:element name="tipoMensagem" type="xs:string"/>
<xs:element name="mensagem" type="xs:string"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="enviarMensagemTransitoResposta">
<xs:sequence>
<xs:element name="resultadoProcessamento" type="tns:resultadoProcessamento"/>
<xs:element name="dataEnvio" type="xs:string"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="resultadoProcessamento">
<xs:sequence>
<xs:element name="codigoResultado" type="xs:int"/>
<xs:element name="descricaoResultado" type="xs:string"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="obterMensagensTransitoEntreguesPedido">
<xs:sequence>
<xs:element name="numeroReferenciaLocal" type="xs:string" minOccurs="0"/>
<xs:element name="numeroReferenciaMovimento" type="xs:string" minOccurs="0"/>
<xs:element name="numeroPagina" type="xs:string" minOccurs="0"/>
<xs:element name="tipoMensagem" type="xs:string" minOccurs="0"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="obterMensagensTransitoEntreguesResposta">
<xs:sequence>
<xs:element name="resultadoProcessamento" type="tns:resultadoProcessamento"/>
<xs:element name="declaracao" type="tns:declaracao" minOccurs="0"/>
<xs:element name="numeroPaginaAtual" type="xs:int"/>
<xs:element name="numeroTotalPaginas" type="xs:int"/>
<xs:element name="dataEnvio" type="xs:string"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="declaracao">
<xs:sequence>
<xs:element name="numeroReferenciaLocal" type="xs:string" minOccurs="0"/>
<xs:element name="numeroReferenciaMovimento" type="xs:string" minOccurs="0"/>
<xs:element name="ficheiroResposta" type="tns:ficheiroResposta" minOccurs="0" maxOccurs="unbounded"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="ficheiroResposta">
<xs:sequence>
<xs:element name="nomeFicheiro" type="xs:string"/>
<xs:element name="ficheiro" type="tns:base64"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="base64">
<xs:sequence/>
</xs:complexType>
<xs:complexType name="obterEstadoDeclaracaoPedido">
<xs:sequence>
<xs:element name="numeroReferenciaLocal" type="xs:string" minOccurs="0"/>
<xs:element name="numeroReferenciaMovimento" type="xs:string" minOccurs="0"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="obterEstadoDeclaracaoResposta">
<xs:sequence>
<xs:element name="resultadoProcessamento" type="tns:resultadoProcessamento"/>
<xs:element name="declaracao" type="tns:declaracaoEstado" minOccurs="0"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="declaracaoEstado">
<xs:sequence>
<xs:element name="codigoEstado" type="xs:string"/>
<xs:element name="descricaoEstado" type="xs:string"/>
<xs:element name="dataEstado" type="xs:string"/>
<xs:element name="estancia" type="xs:string"/>
<xs:element name="numeroReferenciaLocal" type="xs:string" minOccurs="0"/>
<xs:element name="numeroReferenciaMovimento" type="xs:string" minOccurs="0"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="obterMensagensTransitoNaoEntreguesPedido">
<xs:sequence>
<xs:element name="numeroReferenciaLocal" type="xs:string" minOccurs="0"/>
<xs:element name="numeroReferenciaMovimento" type="xs:string" minOccurs="0"/>
<xs:element name="numeroPagina" type="xs:string" minOccurs="0"/>
<xs:element name="tipoMensagem" type="xs:string" minOccurs="0"/>
</xs:sequence>
</xs:complexType>
<xs:complexType name="obterMensagensTransitoNaoEntreguesResposta">
<xs:sequence>
<xs:element name="resultadoProcessamento" type="tns:resultadoProcessamento"/>
<xs:element name="declaracao" type="tns:declaracao" minOccurs="0"/>
<xs:element name="numeroPaginaAtual" type="xs:int"/>
<xs:element name="numeroTotalPaginas" type="xs:int"/>
<xs:element name="dataEnvio" type="xs:string"/>
</xs:sequence>
</xs:complexType>
</xs:schema>